Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# RMCast_Copy_On_Write.h File Reference

`#include "RMCast_Worker.h"`
`#include "ace/Synch_Traits.h"`
`#include "ace/Basic_Types.h"`
`#include "ace/Condition_Thread_Mutex.h"`

Include dependency graph for RMCast_Copy_On_Write.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_RMCast_Copy_On_Write
| Implement a copy on write wrapper for a map-like collection. More...
class | ACE_RMCast_Copy_On_Write_Collection
| A wrapper to implement reference counted collections. More...
class | ACE_RMCast_Copy_On_Write_Container
class | ACE_RMCast_Copy_On_Write_Read_Guard
| Implement a read guard for a reference counted collection. More...
class | ACE_RMCast_Copy_On_Write_Write_Guard
| Implement the write guard for a reference counted collecion. More...